Subject: Re: bug#32443: 27.0.50; encode-time bug

From: Robert Pluim <[email-masked]>
Date: Thu, 30 Aug 2018 10:24:02 +0200

Live System User <[email-masked]> writes:

> Robert Pluim <[email-masked]> writes:
>
>> Glenn Morris <[email-masked]> writes:
>>
>>> Live System User wrote:
>>>
>>>>         When the date/time is being parsed, you erroneously get:
>>>>
>>>>            M-: (parse-time-string "Tue, 06 Mar 2018 11:17:02 -0500")
>>>>            (nil nil nil 6 3 2018 2 nil nil)
>>>>
>>>>         With Emacs 26.1, you get:
>>>>
>>>>            (2 17 11 6 3 2018 2 nil -18000)
>>>
>>> I can't reproduce this.
>>
>> Iʼve seen this, but only once with a time string of "Tue, 28 Aug 2018 13:16:54
>> +0200". Iʼve not been able to reproduce in 'emacs -Q'.
>
>   I get the same erroreous output with "emacs -Q" with your date
>   as well:
>
>
> (parse-time-string "Tue, 14 Aug 2018 09:14:11 +0400")
> (nil nil nil 14 8 2018 2 nil nil)
>
>
> (parse-time-string "Tue, 28 Aug 2018 13:16:54 +0200")
> (nil nil nil 28 8 2018 2 nil nil)
>
> (parse-time-string "Wed, 29 Aug 2018 11:15:22 -0400")
> (nil nil nil 29 8 2018 3 nil nil)

None of those fail for me. Could you tell us which revision youʼre
currently using? Perhaps this got fixed as a side effect of some other
change, in which case I can bisect it.

Otherwise, since youʼre the only one who can reproduce it, could you
do 'edebug-defun' on 'parse-time-string' and step through it? That
might give us a better idea of what's going wrong.

Thanks

Robert